1. Cards
PIK
  • Start
    • Getting Started
  • Authentication
    • Authentication Token
      POST
  • Global Account
    • Contacts
      • Create Contact
      • List Contacts
      • Get Contact
      • Count Contacts
    • Virtual Accounts
      • Create Virtual Account
      • List Virtual Accounts
      • Get Virtual Account
    • Transactions
      • List Transactions
      • Get Transaction
    • Account Balance
      • List Account Balances
      • Get Balance by Currency
    • Payout
      • Create Payout
  • Payment Links
    • Payment Links
      • Create Payment Link
      • Update Payment Link
      • Get Payment Link Detail
      • Get Payment Link List
    • Transactions
      • Get Transaction List
  • Webhook
    • Global Account
      • Deposit Webhook
      • Payout Webhook
      • Virtual Account Webhook
    • Payment Links
      • Overview
      • Order Collect Out Webhook
      • Customer Payment Webhook
      • Customer Refund Webhook
      • Master Recharge Webhook
      • Web3 Direct Payment Webhook
      • Withdraw Out Webhook
    • Issuing
      • Card Activated
      • Card Failed
      • Transaction Completed
      • Transaction Declined
  • Issuing
    • Card Products
      • List Card Products
    • Cardholders
      • Create Cardholder
      • List Cardholders
      • Get Cardholder
    • Cards
      • Issue Card
        POST
      • List Cards
        GET
      • Get Card
        GET
      • Create Card Secure Session
        POST
    • Transactions
      • List Transactions
      • Get Transaction
  1. Cards

Get Card

GET
/api/v1/issuing/card/{cardNo}
Retrieve a specific card by its PIK card number. The full card number and CVV are never returned by this endpoint; use Create Card Secure Session to display them.

Request

Path Params

Responses

🟢200
application/json
Card retrieved successfully
Bodyapplication/json

🟠401Unauthorized
🟠404NotFound
🔴500InternalError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/issuing/card/CD260811X9Y8Z7'
Response Response Example
200 - Example 1
{
    "code": 200,
    "message": "success",
    "data": {
        "cardNo": "string",
        "cardholderNo": "string",
        "maskedCardNumber": "string",
        "expireMonthYear": "string",
        "status": "string",
        "cardLimit": "string",
        "availableLimit": "string",
        "currency": "string",
        "label": "string",
        "externalId": "string",
        "createTimeUtc": "2019-08-24T14:15:22.123Z"
    }
}
Modified at 2026-08-11 10:11:22
Previous
List Cards
Next
Create Card Secure Session
Built with